#!/usr/bin/env bash
#
# Copyright (c) 2012 Avira Operations GmbH & Co. KG
#
# Description: Collects and saves informations used by the POST scripts
# VERSION=1.0.0.5

if [ ! -z "$1" -a -d "$1" ]
then
    INSTALL_DIR="$1"
else
    INSTALL_DIR="$(pwd)"
fi
INSTALL_DIR=$(readlink -e "${INSTALL_DIR}")

# Available script modes: "restart", "reload"
SCRIPT_MODE="$2"
if [ -z ${SCRIPT_MODE} ]
then
    SCRIPT_MODE="restart"
fi

# Default Avira ICAP binary directory. Can be changed from icap_post_utils.sh script
ICAPBIN_DIR="${INSTALL_DIR}"

. "${INSTALL_DIR}/icap_post_utils.sh"

# Compute the utils file name
ICAPBIN_POST_UTILS_FILE=${ICAPBIN_POST_UTILS_FILE}-${SCRIPT_MODE}

# This will hold all the Avira ICAP pids of the processes that are running from the updated install directory
ICAPBIN_PIDS=()

# Get the PIDs of the running Avira ICAP processes
ICAPBIN_PIDS=($(process_pid_by_name $ICAPBIN_NAME "$ICAPBIN_DIR"))

# Save the Avira ICAP pids to be used by post scripts
echo ${ICAPBIN_PIDS[@]} > "${INSTALL_DIR}/${ICAPBIN_POST_UTILS_FILE}"

# Exit from the script
exit 0
