#!/usr/bin/python

import re
import sys
import hashlib
import ConfigParser
import io
import base64
import ast
import time                
import datetime                
import os.path
import argparse
import pickle
import urllib2
import string
import smtplib

from email.mime.text import MIMEText
from copy import deepcopy
from subprocess import call
from datetime import date
from univention.config_registry import ConfigRegistry
from univention.config_registry import handler_set, handler_unset

basedir='/usr/lib/iku-av'
ucr = ConfigRegistry()
ucr.load()

smtpHost="localhost"
mailRecipient=''
if ucr.has_key('iku/av/errormail'):
	mailRecipient=ucr.get('iku/av/errormail')

fromMail='systemmail@%s.%s' % ( ucr.get('hostname'), ucr.get('domainname') )
fromName='IKU AV Daemon'

header_date = datetime.datetime.now().strftime('%a, %d %b %Y %H:%M:%S +0000')

if ucr.has_key('iku/av/l10n'):
	language=ucr.get('iku/av/l10n')
	if language != 'en':
		language = 'de'
else:
	language=de

mailFile='%s/templates/update_error_%s.txt' % ( basedir, language )

with open(mailFile, "r") as f:
	text = f.read()
	f.close()

d = dict(HOST = '%s.%s' % (ucr.get('hostname'), ucr.get('domainname')))
template=string.Template(text)
text=template.safe_substitute(d)

text = text.encode('iso8859-1')
textLines = text.split('\n')
subject = textLines[0]
i=1
text = ''
while i < len(textLines):
	text = '%s\n%s' % (text, textLines[i])
	i+=1
msg = MIMEText(text)
msg['Subject'] = subject
msg['From'] = '%s <%s>' % (fromName, fromMail)
msg['To'] = 'AV Admin <%s>' % mailRecipient
msg['Date'] = '%s' % header_date
s = smtplib.SMTP(smtpHost)
s.sendmail(fromMail, mailRecipient, msg.as_string())
s.quit()

