#!/bin/bash
RUNFILE="/var/lock/run_savapi"
SAVAPIBIN="/usr/lib/iku-av/bin/savapi"
SAVAPIOPTIONS="--config=/usr/lib/iku-av/bin/savapi3.conf --socket-permissions=777"
SLEEPTIME=2
AMAVISBIN="/usr/sbin/amavisd-new"

LANG=C
MYNAME=$(basename $0)
NUMPROCS=$(ps aux | grep -v "grep" | grep -e "/bin/bash.*${MYNAME}$" | wc -l)
if [ "$NUMPROCS" -gt 2 ]; then
	echo "$0 already running. Not starting."
	exit 1
fi

while true; do
	if ps aux | awk '{ print $11 }' | grep -v grep | grep -q "$SAVAPIBIN"; then
		RUNNING=1
	else
		RUNNING=
	fi
	if [ -e "$RUNFILE" ]; then
		if [ "$RUNNING" ]; then
			echo "OK: Savapi running."
		else
			echo -n "WARN: Savapi not running, stopping mail system. ... "
			/etc/init.d/postfix stop >/dev/null 2>&1
			/etc/init.d/amavis stop >/dev/null 2>&1
			echo -n " Waiting for amavisd to terminate ... "
			if ps aux | awk '{ print $11 }' | grep -v grep | grep -q "$AMAVISBIN"; then
				for i in $(seq 1 10); do
					killall "$AMAVISBIN" >/dev/null 2>&1
					sleep "$i"
					if ps aux | awk '{ print $11 }' | grep -v grep | grep -q "$AMAVISBIN"; then
						true
					else
						break
					fi
					echo -n "$i.."
				done
			fi
			echo  "starting mail system and savapi."
			/etc/init.d/amavis start >/dev/null 2>&1
			/etc/init.d/postfix start >/dev/null 2>&1
			"$SAVAPIBIN" $SAVAPIOPTIONS
		fi
	else
		if [ "$RUNNING" ]; then
			echo "WARN: Savapi running -> stopping"
			killall "$SAVAPIBIN"
		else
			echo "OK: Savapi not started."
		fi
	fi
	sleep "$SLEEPTIME"
done
